Debian Bug report logs - #470522
Kernel oopses before installation on my T41

Package: installation-reports; Maintainer for installation-reports is Debian Install Team <debian-boot@lists.debian.org>;

Reported by: "Frank Bauer" <frank.c.bauer@gmail.com>

Date: Tue, 11 Mar 2008 18:45:01 UTC

Severity: normal

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#470522; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to "Frank Bauer" <frank.c.bauer@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Frank Bauer" <frank.c.bauer@gmail.com>
To: submit@bugs.debian.org
Subject: Kernel oopses before installation on my T41
Date: Tue, 11 Mar 2008 19:39:56 +0100
[Message part 1 (text/plain, inline)]
Package: installation-reports

Boot method: netboot
Image version: http://people.debian.org/~joeyh/d-i/images/daily/netboot/netboot.tar.gz
Date: 2008-03-11

Machine: IBM Thinkpad T41
Processor: Intel Pentium M 1400MHz
Memory: 512 MB

The kernel oopses while loading the lenny beta1 installer.
While booting I can just quickly notice the kernel dump on the screen, which is
immediately replaced by the first screen of the installer. Nothing
works. The most
I can do is to reboot with SysRq+B.

Using etch 4.0r3 installer works fine.

Regards Frank
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#470522; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 470522@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 470522@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 470522@bugs.debian.org
Cc: "Frank Bauer" <frank.c.bauer@gmail.com>
Subject: Re: Bug#470522: Kernel oopses before installation on my T41
Date: Tue, 11 Mar 2008 20:42:52 +0100
On Tuesday 11 March 2008, Frank Bauer wrote:
> The kernel oopses while loading the lenny beta1 installer.

This is almost certainly not an installer issue, but a kernel issue.

> While booting I can just quickly notice the kernel dump on the screen,
> which is immediately replaced by the first screen of the installer.
> Nothing works. The most I can do is to reboot with SysRq+B.

Please boot the installer with 'expert BOOT_DEBUG=3' that should probably 
give you the dump. Try taking a picture of it and see if you can still 
scroll back up for additional pictures.
When using BOOT_DEBUG=3 the installer should start a debug shell. Do you get 
that and is the shell usable?

If the laptop has a serial port, you can also try connecting it to another 
computer using a null-modem serial cable to get the boot log.

Cheers,
FJP




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#470522; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to "Frank Bauer" <frank.c.bauer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 470522@bugs.debian.org (full text, mbox):

From: "Frank Bauer" <frank.c.bauer@gmail.com>
To: 470522@bugs.debian.org
Subject: Re: Bug#470522: Kernel oopses before installation on my T41
Date: Tue, 11 Mar 2008 21:33:16 +0100
On Tue, Mar 11, 2008 at 8:42 PM, Frans Pop <elendil@planet.nl> wrote:
> Please boot the installer with 'expert BOOT_DEBUG=3' that should probably
> give you the dump. Try taking a picture of it and see if you can still
> scroll back up for additional pictures.
> When using BOOT_DEBUG=3 the installer should start a debug shell. Do you get
> that and is the shell usable?

Yes, I can get into the shell. When I exit it, the boot continues and the same
problem happens, i.e. first installer screen loads, but the keyboard is dead.

Meanwhile I  installed etch and upgraded to lenny, which should have the same
kernel as current installer and that one works flawlessly.

> If the laptop has a serial port, you can also try connecting it to another
> computer using a null-modem serial cable to get the boot log.

This is not the case, only LPT is present.

Frank




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#470522; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 470522@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 470522@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 470522@bugs.debian.org
Cc: "Frank Bauer" <frank.c.bauer@gmail.com>
Subject: Re: Bug#470522: Kernel oopses before installation on my T41
Date: Tue, 11 Mar 2008 23:59:45 +0100
On Tuesday 11 March 2008, Frank Bauer wrote:
> On Tue, Mar 11, 2008 at 8:42 PM, Frans Pop <elendil@planet.nl> wrote:
> > Please boot the installer with 'expert BOOT_DEBUG=3' that should
> > probably give you the dump. Try taking a picture of it and see if you
> > can still scroll back up for additional pictures.
> > When using BOOT_DEBUG=3 the installer should start a debug shell. Do
> > you get that and is the shell usable?
>
> Yes, I can get into the shell. When I exit it, the boot continues and the
> same problem happens, i.e. first installer screen loads, but the keyboard
> is dead.
>
> Meanwhile I  installed etch and upgraded to lenny, which should have the
> same kernel as current installer and that one works flawlessly.

Glad to hear you got the system running. However, that does not solve the 
issue with the installation. We can now either close this report or 
investigate it further. If we want to investigate it further, we'll need 
additional info from you.

You did not mention a kernel oops anymore. Does that mean that it did not 
happen when you tried again, or did you just not copy the info from it?

One other thing you could do is try the installer in the text mode. Boot 
with 'expert DEBIAN_FRONTEND=text'.

And try without framebuffer: 'expert DEBIAN_FRONTEND=text fb=false'.

Again, if you're not willing to provide additional info, this issue is dead 
for us.

Cheers,
FJP




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#470522; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to "Frank Bauer" <frank.c.bauer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 470522@bugs.debian.org (full text, mbox):

From: "Frank Bauer" <frank.c.bauer@gmail.com>
To: 470522@bugs.debian.org
Subject: Re: Bug#470522: Kernel oopses before installation on my T41
Date: Wed, 12 Mar 2008 08:04:44 +0100
On Tue, Mar 11, 2008 at 11:59 PM, Frans Pop <elendil@planet.nl> wrote:
>
> Glad to hear you got the system running. However, that does not solve the
> issue with the installation. We can now either close this report or
> investigate it further. If we want to investigate it further, we'll need
> additional info from you.

Let's try to solve it, because I have more of simillar machines (T40, T42)
to install.

> You did not mention a kernel oops anymore. Does that mean that it did not
> happen when you tried again, or did you just not copy the info from it?

When using the lenny installer, it happened all the time. I'm not sure what
it read, because it was immediately replaced by the first screen of
the installer.

> One other thing you could do is try the installer in the text mode. Boot
> with 'expert DEBIAN_FRONTEND=text'.
> And try without framebuffer: 'expert DEBIAN_FRONTEND=text fb=false'.

Will try when I get to the machine in the evening. Actually I think it might be
an issue with framebuffer, because IIRC, it is turned on just before starting
the installer itself.

Frank




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#470522; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to "Frank Bauer" <frank.c.bauer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 470522@bugs.debian.org (full text, mbox):

From: "Frank Bauer" <frank.c.bauer@gmail.com>
To: 470522@bugs.debian.org
Subject: Re: Bug#470522: Kernel oopses before installation on my T41
Date: Wed, 12 Mar 2008 18:41:03 +0100
On Tue, Mar 11, 2008 at 11:59 PM, Frans Pop <elendil@planet.nl> wrote:
>
>  And try without framebuffer: 'expert DEBIAN_FRONTEND=text fb=false'.

It still fails with framebuffer off, but the text frontend allows me to see the
message in full:

Starting system log daemon: syslogd, klogd.
BUG: unable to handle kernel paging request at virtual address 3020320c
 printing eip:
*pde = 00000000
Oops: 0000 [#1]
Modules linked in: thermal processor fan pcmcia floppy ipw2100 ieee80211
ieee80211_crypt firmwareclass e1000 yenta socket rsrc_nonstatic pcmcia_core
ehci_hcd uhci_hcd usbcore
CPU: 0
EIP: 0060:[<c024c074>]  Not tainted VLI
EFLAGS: 00010246 (2.6.22-3-486 #1)
EIP is at linkwatch_run_queue+0x68/0x16e
eax: dfa48000  ebx: 30203020  ecx: dff4c4c0  edx: c146f030
esi: 00000002  edi: 00000000  ebp:  30203020  esp:dfa49f74
ds: 007b  es: 007b  fs: 0000 gs: 0000 ss: 0068
Process events/0 (pid: 5, ti=dfa48000 task=c146b570 task.ti=dfa48000)
Stack: dff39840 00000246 dff4e780 c0334ce0 dff39840 c0334ce0 c024c17a 00000000
       c024c197 c012558d c146b67c 19610676 0000000d dff39840 dff39840 c0125b8c
       dfa49fd0 c0125c3e 00000000 c146b570 c01280d4 dfa49fc8 dfa49fc8 dff39840
Call Trace:
 [<c024c17a>] linkwatch_event+0x0/0x22
 [<c024c197>] linkwatch_event+0x1d/0x22
 [<c012558d>] run_workqueue+0x7d/0x103
 [<c0125b8c>] worker_thread+0x0/0xbc
 [<c0125c3e>] worker_thread+0xb2/0xbc
 [<c01280d4>] autoremove_wake_function+0x0/0x35
 [<c0127f28>] kthread+0x36/0x5a
 [<c0127ef2>] kthread+0x0/0x5a
 [<c0104d27>] kernel_thread_helper+0x7/0x10
 =======================
Code: fa 90 8d b4 26 00 00 00 00 90 8b 1d 78 9d 3c c0 c7 05 78 9d 3c c0 00 00 00
 00 fb 90 8d b4 26 00 00 00 00 90 e9 e1 00 00 00 85 ff <8b> ab ec 01 00 00 74 17
 89 d8 e8 79 fe ff ff 85 c0 75 0c 89 d8
EIP: [<c024c074>] __linkwatch_run_queue+0x68/0x16e SS:ESP 0068:dfa49f74
(process:996): INFO: kbd-mode: setting console mode to Unicode (UTF-8)

Debian installer main menu
-------------------------------------------
all 10 menu options follow, I'm too lazy to retype them after the previous dump
and then two more messages appear:

Marking TSC unstable due to: possible TSC halt in C2.
Time: acpi_pm clocksource has been installed.


Frank




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#470522; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 470522@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 470522@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: "Frank Bauer" <frank.c.bauer@gmail.com>, 470522@bugs.debian.org
Subject: Re: Bug#470522: Kernel oopses before installation on my T41
Date: Thu, 13 Mar 2008 00:03:13 +0100
On Wednesday 12 March 2008, Frank Bauer wrote:
> It still fails with framebuffer off, but the text frontend allows me to
> see the message in full:

So now we do know what the exact problem is and it's clearly a kernel issue.

It looks similar to this report:
http://www.kerneloops.org/guilty.php?guilty=run_workqueue&version=2.6.22-release&start=1474560&end=1507327&class=b

It is strange though that you don't see it on the installed system, though 
that could be a difference between the 486 and 686 flavors.

The next question is what to do about it, and I'm afraid that we're kind of 
stuck there. We're very close to the beta1 release and fixing the kernel 
for that is just not an option anymore. Upstream has stopped maintenance 
for 2.6.22, so reporting the issue there does not make much sense.
The Debian kernel team already wanted to be rid of 2.6.22 (and that will 
happen immediately after the D-I beta), and so is unlikely to want to look 
into this, let alone fix it.

Seems to me that the best course of action is to see this issue as an 
erratum for 2.6.22 and check whether it's fixed as soon as we switch the 
installer to 2.6.24 (ASAP after the beta).
If it is still reproducible with 2.65.24, it should be reported upstream.

Cheers,
FJP




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#470522; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to "Frank Bauer" <frank.c.bauer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 470522@bugs.debian.org (full text, mbox):

From: "Frank Bauer" <frank.c.bauer@gmail.com>
To: 470522@bugs.debian.org
Subject: Re: Bug#470522: Kernel oopses before installation on my T41
Date: Thu, 13 Mar 2008 08:13:23 +0100
On Thu, Mar 13, 2008 at 12:03 AM, Frans Pop <elendil@planet.nl> wrote:
>
> Seems to me that the best course of action is to see this issue as an
> erratum for 2.6.22 and check whether it's fixed as soon as we switch the
> installer to 2.6.24 (ASAP after the beta).
> If it is still reproducible with 2.65.24, it should be reported upstream.

I fully agree. Don't let this bug delay the oh-so-overdue release of d-i beta1.

After all, the final installer will be completely different, because every minor
kernel version in 2.6.x line is like a brand new product.

Frank




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#470522; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to "Frank Bauer" <frank.c.bauer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 470522@bugs.debian.org (full text, mbox):

From: "Frank Bauer" <frank.c.bauer@gmail.com>
To: 470522@bugs.debian.org
Subject: Re: Bug#470522: Kernel oopses before installation on my T41
Date: Thu, 10 Apr 2008 10:23:37 +0200
On Thu, Mar 13, 2008 at 12:03 AM, Frans Pop <elendil@planet.nl> wrote:
>
> Seems to me that the best course of action is to see this issue as an
> erratum for 2.6.22 and check whether it's fixed as soon as we switch the
> installer to 2.6.24 (ASAP after the beta).
> If it is still reproducible with 2.65.24, it should be reported upstream.

Ok, so with the current lenny installer (daily from 2008-04-09, second build),
i.e. linux 2.6.24 the installer boots to the first screen, I can
select language,
country and keyboard just fine. This is a step ahead from d-i beta1
(linux 2.6.22).

Now both T41 and T42 machines hang just after the Detecting network hardware
screen disappears. CapsLock madly blinks, no kernel dump displayed.

When I disable framebuffer with fb=false, the installation completes
succesfully on both machines.

 - video card in T41 is ATI 7500 mobility
 - video card in T42 is ATI 9600 mobility

Frank




Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Wed, 08 Sep 2010 05:01:25 GMT) Full text and rfc822 format available.

Notification sent to "Frank Bauer" <frank.c.bauer@gmail.com>:
Bug acknowledged by developer. (Wed, 08 Sep 2010 05:01:25 GMT) Full text and rfc822 format available.

Message #50 received at 470522-done@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 470522-done@bugs.debian.org
Subject: Closing old installation report #470522
Date: Wed, 08 Sep 2010 03:58:29 +0000
We are closing this installation report for one of the following
reasons:
- it was reported with a pre-lenny version of Debian
  Installer.
- indications in the installation report give the feeling that
  the reported problem waslying in another software, unrelated to
  D-I, which we can't easily identify.
- indications in the installation report suggest that it may have been
  fixed in a more recent version of a D-I component
- it was successful and we forgot closing it..:-)
- it has no information we consider useful


The D-I team is currently in the process of cleaning out the old spool
of installation reports that haven't bene processed yet. 

In case you think that the problem you reported has chances to be
still present, please reiterate your installation test with
a more recent image of D-I, if you're in position of doing this.

You'll find daily builds at
http://www.debian.org/devel/debian-installer. We recommend you choose
the netboot image, in the "daily builds section", then choose to
install "squeeze" when prompted.

If some problems are found, please report them with a new bug sent
against installation-reports.

Many thanks for your understanding and your help improving Debian,
past and present.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Oct 2010 07:52:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:43:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.